Tryton - Issues

 

Issue8654

Title Default agent per party
Priority feature Status resolved
Superseder Nosy List ced, pokoli, reviewbot, roundup-bot
Type feature request Components commission
Assigned To pokoli Keywords review
Reviews 260131002
View: 260131002

Created on 2019-09-12.18:33:51 by pokoli, last changed by roundup-bot.

Messages
New changeset cdc6f1cbf598 by Sergi Almacellas Abellana in branch 'default':
Add Agent selection
https://hg.tryton.org/tryton-env/rev/cdc6f1cbf598
New changeset 575b2649d2ad by Sergi Almacellas Abellana in branch 'default':
Add Agent selection
https://hg.tryton.org/modules/commission/rev/575b2649d2ad
review260131002 updated at https://codereview.tryton.org/260131002/#ps260921005
review260131002 updated at https://codereview.tryton.org/260131002/#ps270881002
review260131002 updated at https://codereview.tryton.org/260131002/#ps274761002
review260131002 updated at https://codereview.tryton.org/260131002/#ps258601002
review260131002 updated at https://codereview.tryton.org/260131002/#ps278321002
msg54571 (view) Author: [hidden] (pokoli) (Tryton committer) (Tryton translator) Date: 2019-12-18.11:08:41
Here is the blueprint: 

https://discuss.tryton.org/t/default-agent-per-party/1747

I've updated the review taking in account the blueprint discussion.
msg51887 (view) Author: [hidden] (ced) (Tryton committer) (Tryton translator) Date: 2019-09-17.10:50:31
I think it is better to start with a blueprint.
msg51886 (view) Author: [hidden] (pokoli) (Tryton committer) (Tryton translator) Date: 2019-09-17.10:46:02
> So for me, a rule engine should be designed.

Ok, So I updated the review adding a rule engine which by default has a date range. 

I think the kind of product sold or other criterias should be added by third party modules.
review260131002 updated at https://codereview.tryton.org/260131002/#ps249961002
msg51880 (view) Author: [hidden] (ced) (Tryton committer) (Tryton translator) Date: 2019-09-17.09:33:05
On 2019-09-17 08:53, Sergi Almacellas Abellana wrote:
> > So what for is this party commissioned for if he does not manage the
> > sale order?
> 
> The party is commissioned because it has referred the customer to the company. We've found two diferent cases here: 
> 
> 1. A bussiness association refers the party to the company and it gets a commission for all the sales that generate this party.

I think such setup is more complex than that. They are criteria to
consider like the date or the kind of product sold etc.

> 2. When working with neighboring communities (which is the final customer) normmally there is a company that is responisble of the maintenance of all the properties of the community and this company gets a commission for all the sales related to the neighbours assets that they manage.

That is a closed description of what we could name: trust abuse
But any way, this is again liked to more criteria.

So for me, a rule engine should be designed.
msg51877 (view) Author: [hidden] (pokoli) (Tryton committer) (Tryton translator) Date: 2019-09-17.08:53:56
> So what for is this party commissioned for if he does not manage the
> sale order?

The party is commissioned because it has referred the customer to the company. We've found two diferent cases here: 

1. A bussiness association refers the party to the company and it gets a commission for all the sales that generate this party.
2. When working with neighboring communities (which is the final customer) normmally there is a company that is responisble of the maintenance of all the properties of the community and this company gets a commission for all the sales related to the neighbours assets that they manage.
msg51855 (view) Author: [hidden] (ced) (Tryton committer) (Tryton translator) Date: 2019-09-16.08:40:07
On 2019-09-16 08:02, Sergi Almacellas Abellana wrote:
> Sergi Almacellas Abellana <sergi@koolpi.com> added the comment:
> 
> > Here the commission is about the user
> > (or employee) who manages the sale order.
> 
> Only when the commission is related to a user or an employee which may not be always the case as it can be an external party.

So what for is this party commissioned for if he does not manage the
sale order?
msg51854 (view) Author: [hidden] (pokoli) (Tryton committer) (Tryton translator) Date: 2019-09-16.08:02:38
> Here the commission is about the user
> (or employee) who manages the sale order.

Only when the commission is related to a user or an employee which may not be always the case as it can be an external party.
msg51853 (view) Author: [hidden] (ced) (Tryton committer) (Tryton translator) Date: 2019-09-14.20:27:05
On 2019-09-14 19:40, Sergi Almacellas Abellana wrote:
> What we manage here is the fact that some companies assign a party to an agent which is responisble for contacting the party and asking if he needs something for the company. I think this is quite common on some companies. 
> 
> This is not a commission for life as the default agent can be changed after some time.

For me, it is not the right setup. Here the commission is about the user
(or employee) who manages the sale order.
msg51851 (view) Author: [hidden] (pokoli) (Tryton committer) (Tryton translator) Date: 2019-09-14.19:40:59
What we manage here is the fact that some companies assign a party to an agent which is responisble for contacting the party and asking if he needs something for the company. I think this is quite common on some companies. 

This is not a commission for life as the default agent can be changed after some time.
msg51810 (view) Author: [hidden] (ced) (Tryton committer) (Tryton translator) Date: 2019-09-12.18:48:47
I do not think it is right. I doubt any business allow to commission an agent for life for bringing a party.
review260131002 updated at https://codereview.tryton.org/260131002/#ps272181004
msg51805 (view) Author: [hidden] (pokoli) (Tryton committer) (Tryton translator) Date: 2019-09-12.18:33:51
On some companies a party is assigned to a commission agent. Assigning an agent to a party means that by default the sales generated for this party generate a commission to the agent. 

It will be great if the commission module allows to define the agent used for each sale.
History
Date User Action Args
2020-02-24 18:39:16roundup-botsetmessages: + msg55567
2020-02-24 18:39:10roundup-botsetstatus: testing -> resolved
nosy: + roundup-bot
messages: + msg55566
2020-02-04 15:51:36reviewbotsetmessages: + msg55209
2020-01-29 22:17:37reviewbotsetmessages: + msg55112
2020-01-20 11:54:31reviewbotsetmessages: + msg54932
2019-12-27 17:23:43reviewbotsetmessages: + msg54652
2019-12-18 11:35:52reviewbotsetmessages: + msg54574
2019-12-18 11:08:41pokolisetmessages: + msg54571
2019-09-17 10:50:32cedsetmessages: + msg51887
2019-09-17 10:46:03pokolisetmessages: + msg51886

Showing 10 items. Show all history (warning: this could be VERY long)